import { defineComponent as p, computed as u, createElementBlock as d, createCommentVNode as T, openBlock as f, toDisplayString as _ } from "vue";
import { useI18n as D } from "vue-i18n";
import { r as F } from "./start-CE9SawgU.js";
import { D as V, T as g } from "./constants-1J8fqgyx.js";
const h = { key: 0 }, A = /* @__PURE__ */ p({
  __name: "DatahubDataTypeDateTimeValueRenderer",
  props: {
    row: {},
    rowIndex: {},
    cell: {},
    cellValue: {},
    dataTypeInstance: {},
    modelValue: {}
  },
  setup(c) {
    const e = c, { t: o } = D();
    function m(t, a) {
      const n = V[t], s = g[a], l = n ? o(n) : "", i = s ? o(s) : "";
      return `${l} ${i}`;
    }
    const r = u(() => {
      if (!e.cellValue)
        return "";
      const t = m(
        e.cell.properties?.configuration?.dateFormat,
        e.cell.properties?.configuration?.timeFormat
      );
      return F(e.cellValue).format(t);
    });
    return (t, a) => r.value ? (f(), d("span", h, _(r.value), 1)) : T("", !0);
  }
});
export {
  A as default
};
